net.minecraftforge.client.event

## Class RenderGameOverlayEvent.Text

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.RenderGameOverlayEvent
    - - net.minecraftforge.client.event.RenderGameOverlayEvent.Pre
      - - net.minecraftforge.client.event.RenderGameOverlayEvent.Text

- Enclosing class:
    RenderGameOverlayEvent

      public static class RenderGameOverlayEvent.Text
      extends RenderGameOverlayEvent.Pre

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `RenderGameOverlayEvent.Chat, RenderGameOverlayEvent.ElementType, RenderGameOverlayEvent.Post, RenderGameOverlayEvent.Pre, RenderGameOverlayEvent.Text`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `left`
    `java.util.ArrayList<java.lang.String>` | `right`

    - ### Fields inherited from class net.minecraftforge.client.event.RenderGameOverlayEvent

      `mouseX, mouseY, partialTicks, resolution, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderGameOverlayEvent.Text(RenderGameOverlayEvent parent, java.util.ArrayList<java.lang.String> left, java.util.ArrayList<java.lang.String> right)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### left

          public final java.util.ArrayList<java.lang.String> left

    - #### right

          public final java.util.ArrayList<java.lang.String> right

  - ### Constructor Detail

    - #### RenderGameOverlayEvent.Text

          public RenderGameOverlayEvent.Text(RenderGameOverlayEvent parent,
                                     java.util.ArrayList<java.lang.String> left,
                                     java.util.ArrayList<java.lang.String> right)